Bug 321151 - Please include contrib/hooks
Summary: Please include contrib/hooks
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-06 03:21 UTC by Michel Alexandre Salim
Modified: 2013-01-10 10:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 12:57:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-10-06 03:21:28 UTC
Description of problem:
git as shipped by Fedora and RHEL does not include contrib/hooks/*, which
currently contains post-receive-email and update-paranoid. Upstream expects
these to be shipped, and the post-receive hook installed in each Git repository
refers to the contributed post-receive-email.

People who want to turn on commit notification by email should not need to
download the upstream tarball just to get one file.

Version-Release number of selected component (if applicable):
git-core-1.5.3.3-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql git-core | grep contrib
  
Actual results:
Nothing

Expected results:
contrib/hooks should be installed as part of git-core's documentation

Additional info:

Comment 1 Michel Alexandre Salim 2008-02-25 14:15:28 UTC
Bumping severity. We should commit one way or another -- either patch out those
references to contrib/hooks in ${PROJECT}/.git/hooks/* or actually ship the files.

Comment 2 James Bowes 2008-03-26 12:57:57 UTC
Ok, as of git-1.5.4.4-3 in rawhide, the example hooks are included in the docs dir.


Note You need to log in before you can comment on or make changes to this bug.